*
* Set a long jump: setjmp(int environment[3])
*
setjmp	POP	CX		CX = return address
	MOV	BX,SP		Address stack
	MOV	SI,[BX]		Ptr to save area
	MOV	[SI],SP		Save current stack
	MOV	2[SI],BP	Save callers stack frame
	MOV	4[SI],CX	Save return address
	XOR	AX,AX		Zero return code
	JMP	CX		Return to caller
*
* Perform a long jump: longjmp(int environment[3], int rvalue)
*
longjmp	MOV	BX,SP		Address parmeters
	MOV	SI,4[BX]	Ptr to save area
	MOV	AX,2[BX]	Get return value
	MOV	SP,[SI]		Restore stack
	MOV	BP,2[SI]	Restore base ptr
	JMP	4[SI]		Return to original caller
