* Compare two strings: strcmp(string1, string2)
strcmp	MOV	BX,SP		Address stack
	MOV	SI,4[BX]	Get string1
	MOV	DI,2[BX]	Get string2
	XOR	AH,AH		Zero high
?1	MOV	AL,[SI]		Get char
	CMP	AL,[DI]		Does it match?
	JNE	?2		No, it does not
	INC	SI		Advance source
	INC	DI		Advance dest
	AND	AL,AL		End of strings?
	JNZ	?1		No, keep checking
	RET
?2	MOV	AL,#1		Assume string1 > string2
	JA	?3		String1 > string2
	NEG	AX		Convert to -1
?3	RET
* Search string for char: strchr(string, char)
strchr	MOV	BX,SP		Address stack
	MOV	SI,4[BX]	Get string
?4	MOV	AL,[SI]		Get char
	CMP	AL,2[BX]	Does it match?
	JZ	?5		Yes, we have it
	INC	SI		Advance pointer
	AND	AL,AL		End of string?
	JNZ	?4		No, keep going
	XOR	AX,AX		Reset to zero
	RET
?5	MOV	AX,SI		Get address
	RET
