* Read a BYTE of memory: int peek(segment, address)
peek	MOV	BX,SP		Address stack
	MOV	ES,4[BX]	Get segment
	MOV	SI,2[BX]	Get address
	MOV	AL,ES:[SI]	Get value
	XOR	AH,AH		Zero high
	RET
* Read a WORD of memory: int peekw(segment, address)
peekw	MOV	BX,SP		Address stack
	MOV	ES,4[BX]	Get segment
	MOV	SI,2[BX]	Get address
	MOV	AX,ES:[SI]	Get value
	RET
* Write a BYTE to memory: poke(segment, address, data)
poke	MOV	BX,SP		Address stack
	MOV	ES,6[BX]	Get segment
	MOV	SI,4[BX]	Get address
	MOV	AX,2[BX]	Get value
	MOV	ES:[SI],AL	Write data
	RET
* Write a WORD to memory: pokew(address, data)
pokew	MOV	BX,SP		Address stack
	MOV	ES,6[BX]	Get segment
	MOV	SI,4[BX]	Get address
	MOV	AX,2[BX]	Get value
	MOV	ES:[SI],AX	Write data
	RET
